#!/bin/bash

# convert to html ==============================================================
asciidoctor site/*adoc

# manual modifications to html created by asciidoctor ==========================

#   make it clear where corpus is (English home)
#sed -i -e 's/"#_outputs">Outputs<\/a>/"#_outputs">Corpus \&amp; Outputs<\/a>/' site/en.html

#   shorten title for Publications section
sed -i -e 's/href="#_publications_and_contributions_to_conferences">Publications and contributions to conferences</href="#_publications_and_contributions_to_conferences">Publications</g' site/en.html
sed -i -e 's/href="#_publications_et_communications">Publications et communications</href="#_publications_et_communications">Publications</g' site/index.html

#   add home link to top entry in ToC
sed -i -e 's/"toctitle">MeThAL<\/div>/"toctitle"><a href="https:\/\/methal.pages.unistra.fr">MeThAL<\/a><\/div>/' site/index.html
sed -i -e 's/"toctitle">MeThAL<\/div>/"toctitle"><a href="https:\/\/methal.pages.unistra.fr\/en.html">MeThAL<\/a><\/div>/' site/en.html
sed -i -e 's/"toctitle">MeThAL<\/div>/"toctitle"><a href="https:\/\/methal.pages.unistra.fr">MeThAL<\/a><\/div>/' site/read/index.html
sed -i -e 's/"toctitle">MeThAL<\/div>/"toctitle"><a href="https:\/\/methal.pages.unistra.fr\/en.html">MeThAL<\/a><\/div>/' site/read/en.html

# read-section

sed -i -e 's/href="#_read_the_plays"/href=".\/read\/en.html"/g' site/en.html
sed -i -e 's/href="#_lire_les_pièces"/href=".\/read"/g' site/index.html

plays_done=$(ls site/read/tei/*xml | wc -l)
sed -i -e "s/##nbrPieces/${plays_done}/g" site/read/*html
sed -i -e "s/##nbrPieces/${plays_done}/g" site/*html

# footer date
#  date format 2021-09-27 09:37:07 UTC
realdate=$(grep -P 'Last updated on ' site/en.html | grep -Po '[0-9: -]+ UTC')
#echo "$realdate\n" >> site/log.txt

# timestamp with date
#perl -p -i -e "s/Last updated on .+/Last updated on $(date +'%Y-%m-%d %k:%M:%S')/" site/read/en.html
#perl -p -i -e "s/Last updated on .+/Mis à jour le $(date +'%Y-%m-%d %k:%M:%S')/" site/read/index.html

# timestamp with grep of the one on the main page
perl -p -i -e "s/Last updated on .+/Last updated on $realdate/" site/read/en.html
perl -p -i -e "s/Last updated on .+/Mis à jour le $realdate/" site/read/index.html


# COPY to public repo ==========================================================
cp -r site/*html public
cp -r site/{img,styles,docs,read,explore} public/.

